stitchfix

stitchfix

Engineering, Analytics, and Data Science at Stitch Fix

Member Since 9 years ago

Everywhere

Experience Points
0
follower
Lessons Completed
0
follow
Best Reply Awards
127
repos
Activity
Jan
24
13 hours ago
Activity icon
fork

fpaskali forked stitchfix/pyxley

⚡ Python helpers for building dashboards using Flask and React
fpaskali MIT License Updated
fork time in 5 minutes ago
started
started time in 3 hours ago
Jan
23
1 day ago
Jan
21
3 days ago
pull request

dependabot[bot] pull request stitchfix/fauxtograph

dependabot[bot]
dependabot[bot]

Bump ipython from 4.0.0 to 7.16.3

Bumps ipython from 4.0.0 to 7.16.3.

Commits

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

Activity icon
created branch

dependabot[bot] in stitchfix/fauxtograph create branch dependabot/pip/ipython-7.16.3

createdAt 2 days ago
push

fixbot push stitchfix/log_weasel

fixbot
fixbot

creating or updating the build matrix

commit sha: 68cfec3f16545301e525b19dc11a736f458a4d42

push time in 2 days ago
push

fixbot push stitchfix/tech_radar

fixbot
fixbot

creating or updating the build matrix

commit sha: 7cd28b16d36091bb9b3812756fcebe89cfa05e61

push time in 2 days ago
push

fixbot push stitchfix/stitches

fixbot
fixbot

creating or updating the build matrix

commit sha: cdcf0107106045354ff3e193985580e611ab8db2

push time in 2 days ago
push

fixbot push stitchfix/extra_extra

fixbot
fixbot

creating or updating the build matrix

commit sha: 35e8c3287fa6254f5511d57edc4388775e625282

push time in 2 days ago
push

fixbot push stitchfix/pwwka

fixbot
fixbot

creating or updating the build matrix

commit sha: 2a3549505bc93847602203461f565bbf45be6f5f

push time in 2 days ago
Jan
20
4 days ago
Activity icon
created tag
createdAt 3 days ago
started
started time in 4 days ago
Jan
18
6 days ago
Activity icon
created tag
createdAt 5 days ago
Activity icon
published release 0.2.4

lyricsboy in stitchfix/fittings create published release 0.2.4

createdAt 5 days ago
push

lyricsboy push stitchfix/fittings

lyricsboy
lyricsboy

unsafe_load doesn't exist in Psych < 3.3.2, which is in any ruby version less that 3.0.3. Luckily, load behaves as unsafe_load does in later versions, so use it in those cases.

lyricsboy
lyricsboy

Merge pull request #24 from stitchfix/psych-lt-3.3.2-compat

Support Ruby < 3.0.3 as we still support 2.7 for a few more months

commit sha: c39af63e1d2fc63546afd7aa0b2d387cd62c9542

push time in 5 days ago
Activity icon
delete

lyricsboy in stitchfix/fittings delete branch psych-lt-3.3.2-compat

deleted time in 5 days ago
pull request

lyricsboy pull request stitchfix/fittings

lyricsboy
lyricsboy

Support Ruby < 3.0.3 as we still support 2.7 for a few more months

unsafe_load doesn't exist in Psych < 3.3.2, which is in any ruby version less that 3.0.3. Luckily, load in ruby < 3.0.3 behaves as unsafe_load does in later versions, so use it in those cases.

Activity icon
issue

lyricsboy issue comment stitchfix/fittings

lyricsboy
lyricsboy

Support Ruby < 3.0.3 as we still support 2.7 for a few more months

unsafe_load doesn't exist in Psych < 3.3.2, which is in any ruby version less that 3.0.3. Luckily, load in ruby < 3.0.3 behaves as unsafe_load does in later versions, so use it in those cases.

lyricsboy
lyricsboy

I shipped this as v0.2.4.RC1 and tested in our dependent app using ruby 2.7, and it works! I will merge this and prepare to release v0.2.4

Activity icon
created tag

lyricsboy in stitchfix/fittings create tag v0.2.4.RC1

createdAt 5 days ago
Jan
16
1 week ago
started
started time in 1 week ago
Jan
15
1 week ago
pull request

ericatripp merge to stitchfix/fittings

ericatripp
ericatripp

Support Ruby < 3.0.3 as we still support 2.7 for a few more months

unsafe_load doesn't exist in Psych < 3.3.2, which is in any ruby version less that 3.0.3. Luckily, load in ruby < 3.0.3 behaves as unsafe_load does in later versions, so use it in those cases.

ericatripp
ericatripp

thanks for taking care of this, B! ❤️

Jan
14
1 week ago
push

bak push stitchfix/fittings

bak
bak

unsafe_load doesn't exist in Psych < 3.3.2, which is in any ruby version less that 3.0.3. Luckily, load behaves as unsafe_load does in later versions, so use it in those cases.

commit sha: 4eef23e4093e81f2b7ecc3df3661aef6f6b0fd35

push time in 1 week ago
pull request

bak pull request stitchfix/fittings

bak
bak

Support Ruby < 3.0.3 as we still support it for a few more months

unsafe_load doesn't exist in Psych < 3.3.2, which is in any ruby version less that 3.0.3. Luckily, load behaves as unsafe_load does in later versions, so use it in those cases.

Activity icon
created branch

bak in stitchfix/fittings create branch psych-lt-3.3.2-compat

createdAt 1 week ago
Activity icon
created branch

skrawcz in stitchfix/hamilton create branch stefan/distributed_thoughtsII

createdAt 1 week ago
Jan
13
1 week ago
Activity icon
created tag
createdAt 1 week ago
Activity icon
delete

ericatripp in stitchfix/fittings delete branch task/update-version

deleted time in 1 week ago
pull request

ericatripp pull request stitchfix/fittings

ericatripp
ericatripp

manually bump version

Problem

This gem doesn't have the rake version:* task, so we have to bump the version manually before release.

Solution

Bump the version.

Previous